/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.deployment.ejb;

import org.jfox.ejb.meta.Descriptor;
import org.jfox.ejb.meta.EJBDescriptionException;
import org.jfox.ejb.meta.XmlUtil;
import org.w3c.dom.Node;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class EJBModuleDescriptor extends Descriptor {
    private String jarName;

    public void processXML(Node node) throws EJBDescriptionException {
        setJarName(XmlUtil.getValueOf(node));
    }

    public String getJarName() {
        return jarName;
    }

    public void setJarName(String jarName) {
        this.jarName = jarName;
    }

    public static void main(String[] args) {

    }
}

